;This QuickBASIC program was used to calculate the equates for ASMPI.ASM.

    DEFDBL A-Z

    INPUT "Digits required"; A

    MPVSize = 32 * ((A / (LOG(2) / LOG(10)) + 255) \ 256)

    PRINT "NumDigits = "; A + 64
    PRINT "MPVSize = "; MPVSize

    k = A / .69897
    k = INT(15 + (k + k * .1)) 'floor 1

    PRINT "Last1 = "; k

    k = INT(15 + (A / 2.37))   'floor 2
    PRINT "Last2 = "; k

